Skip to main content
GET
/
v2
/
verify
/
{verificationId}
Check verification job status
curl --request GET \
  --url https://sourcify.dev/server/v2/verify/{verificationId}
{
  "isJobCompleted": true,
  "verificationId": "72d12273-0723-448e-a9f6-f7957128efa5",
  "jobStartTime": "2024-07-24T11:00:00Z",
  "jobFinishTime": "2024-07-24T12:00:00Z",
  "compilationTime": "1333",
  "contract": {
    "match": "match",
    "creationMatch": "match",
    "runtimeMatch": "match",
    "chainId": "11155111",
    "address": "0xDFEBAd708F803af22e81044aD228Ff77C83C935c",
    "verifiedAt": "2024-07-24T12:00:00Z",
    "matchId": "3266227"
  }
}

Documentation Index

Fetch the complete documentation index at: https://hedera-0c6e0218-update-sourcify-migration-issue-508-luke.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

verificationId
string<uuid>
required

Verification Job ID returned from the server for a verification request.

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

The verification job completed either with success or failure. This endpoint returns 200 even if the verification job fails. Check the contract.match field and error for verification statuses.

If the job is not completed yet (i.e. pending), the isJobCompleted will be false.

isJobCompleted
boolean
required
verificationId
string<uuid>
required
error
GenericErrorResponse · object

Optional, when the verification fails for some reason.

Example:
{
"customCode": "no_match",
"message": "The onchain and recompiled bytecodes don't match.",
"errorId": "1ac6b91a-0605-4459-93dc-18f210a70192",
"recompiledCreationCode": "0x608060405234801561001057600080fd5b5060043610610036570565b6000819050919050565b600080fd5b61010c816100f4565b811461011757600080fd5b5056fea264697066735821220404e37f487a89a932dca5e77faaf6ca2de3b991f93d230604b1b8daaef64766264736f6c63430008070033",
"recompiledRuntimeCode": "0x608060405234801561001057600080fd5b5060043610610036570565b6000819050919050565b600080fd5b61010c816100f4565b811461011757600080fd5b5056fea264697066735821220404e37f487a89a932dca5e77faaf6ca2de3b991f93d230604b1b8daaef64766264736f6c63430008070033",
"onchainCreationCode": "0x608060405234801561001057600080fd5b5060043610610036570565b6000819050919050565b600080fd5b61010c816100f4565b811461011757600080fd5b5056fea264697066735821220404e37f487a89a932dca5e77faaf6ca2de3b991f93d230604b1b8daaef64766264736f6c63430008070034",
"onchainRuntimeCode": "0x608060405234801561001057600080fd5b5060043610610036570565b6000819050919050565b600080fd5b61010c816100f4565b811461011757600080fd5b5056fea264697066735821220404e37f487a89a932dca5e77faaf6ca2de3b991f93d230604b1b8daaef64766264736f6c63430008070034",
"creationTransactionHash": "0xb6ee9d528b336942dd70d3b41e2811be10a473776352009fd73f85604f5ed206"
}
jobStartTime
string<date-time>
jobFinishTime
string
compilationTime
string

Time it took to compile the contract on the server in milliseconds.

Example:

"1333"

externalVerifications
object

Links to external verification status endpoints on Etherscan-alike services.

contract
VerifiedContractMinimal · object